package com.rera.mss.service

import com.rera.mss.payload.MeasurementDataDto
import com.rera.mss.payload.MeasurementPickerDto
import com.rera.mss.payload.MssMeasurementDto
import com.rera.mss.payload.PickedMeasurementsDto
import com.rera.mss.security.UserPrincipal

interface MeasurementService {
    fun logMeasurement(measurement: MssMeasurementDto)
    fun getMeasurementsOptions(currentUser: UserPrincipal): MeasurementPickerDto
    fun getMeasurementData(currentUser: UserPrincipal, optionsDto: PickedMeasurementsDto): MeasurementDataDto
}
